cURL
curl --request POST \ --url https://api.halth.com/v1/organisations/{organisationId}/clients/{clientId}/wallet/cards \ --header 'Content-Type: application/json' \ --data ' { "type": "health_fund_card", "paymentMethod": { "customerId": "<string>", "confirmationTokenId": "<string>", "paymentMethodId": "<string>" } } '
{ "id": "<string>", "source": "client", "type": "health_fund_card", "createdAt": "2023-11-07T05:31:56Z", "paymentMethod": { "id": "<string>", "brand": "<string>", "last4": "<string>", "customerId": "<string>" }, "healthFundCard": { "id": "<string>", "memberNumberLast4": "<string>", "createdAt": "2023-11-07T05:31:56Z", "healthFundId": "<string>", "healthFund": { "id": "<string>", "name": "<string>", "capabilities": { "claims": "active", "rebatesEstimates": "active" } }, "cardholders": [ "<string>" ], "fingerprint": "<string>", "verified": true, "defaultReferenceNumber": "<string>", "issueNumber": "<string>", "verifiedAt": "2023-11-07T05:31:56Z" }, "medicareCard": { "id": "<string>", "memberNumberLast4": "<string>", "referenceNumber": "<string>", "createdAt": "2023-11-07T05:31:56Z", "fingerprint": "<string>", "firstName": "<string>", "lastName": "<string>", "dateOfBirth": "<string>", "verified": true, "secondInitial": "<string>", "sex": "<string>", "verifiedAt": "2023-11-07T05:31:56Z" } }
Create a new wallet card for the client
Documentation IndexFetch the complete documentation index at: https://docs.halth.com/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.halth.com/llms.txt
Use this file to discover all available pages before exploring further.
health_fund_card
payment_method
medicare_card
Show child attributes
client
provider